Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CIntranet.actions.intranet
Class ModifyDocument

    java.lang.Object
      org.esupportail.portal.utils.channels.SubChannel
          org.esupportail.portal.channels.CIntranet.actions.intranet.IntranetAction
              org.esupportail.portal.channels.CIntranet.actions.intranet.ModifyDocument

All Implemented Interfaces:
  org.jasig.portal.ICacheable, org.esupportail.portal.utils.channels.ISubChannel

public class ModifyDocument
extends IntranetAction

ModifyDocument
Cette action prend en charge la modification d'un document
(c)Copyright ESup-Portail 2004

Version:
  2.1
Author:
  Mathieu Larchet

Constructor Summary
`ModifyDocument(org.esupportail.portal.utils.channels.MainChannel mainChannel)` Constructeur

Method Summary
`java.lang.Boolean` | `action()` Méthode appelée si la personne a le niveau requis
`java.lang.Boolean` | `contentinit(org.jasig.portal.ChannelRuntimeData rd)` Modification du contenu d'un fichier
`java.lang.Boolean` | `fileinit(org.jasig.portal.ChannelRuntimeData rd)` Modification des informations d'un fichier
`int` | `getLevel()` Retourne le niveau d'accréditation minimum pour accéder à cette action
`java.lang.Boolean` | `linkinit(org.jasig.portal.ChannelRuntimeData rd)` Modification d'un lien
`void` | `setOutput()` Positionnement du titre ssl
`java.lang.Boolean` | `setXML()` Affiche le formulaire de modification fichier / lien

Methods inherited from class org.esupportail.portal.channels.CIntranet.actions.intranet.IntranetAction
`init`

Methods inherited from class org.esupportail.portal.utils.channels.SubChannel
`addDefaultXslParameters, addDownloadXslParameter, clearChannel, generateKey, getMainChannel, getMediaPath, getPackageName, getRuntimeData, getSSL, getXML, getXSL, getXSLParameter, isCacheValid, log, log, renderXML, setDefaultXslParameters, setSSL, setXML, setXSL, setXSLParameter`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModifyDocument

    public ModifyDocument(org.esupportail.portal.utils.channels.MainChannel mainChannel)

  Constructeur

Parameters:
  `mainChannel` - Channel principale

Method Detail

### getLevel

    public int getLevel()

  Retourne le niveau d'accréditation minimum pour accéder à cette action

  Specified by:
    `getLevel` in class `IntranetAction`
  Returns:
    ISecurityManager.PUBLICATOR

### action

    public java.lang.Boolean action()
                             throws org.jasig.portal.PortalException,
                                    org.esupportail.portal.utils.channels.FrameWorkException

  Méthode appelée si la personne a le niveau requis

  Specified by:
    `action` in class `IntranetAction`
  Returns:
    Boolean.TRUE si l'action s'est bien passée, Boolean.FALSE sinon
  Throws:
    `org.esupportail.portal.utils.channels.FrameWorkException`
    `org.jasig.portal.PortalException`

### setXML

    public java.lang.Boolean setXML()
                             throws org.esupportail.portal.utils.channels.FrameWorkException

  Affiche le formulaire de modification fichier / lien

  Returns:
    Boolean.TRUE
  Throws:
    `org.esupportail.portal.utils.channels.FrameWorkException`

### setOutput

    public void setOutput()
                   throws org.esupportail.portal.utils.channels.FrameWorkException

  Positionnement du titre ssl

  Throws:
    `org.esupportail.portal.utils.channels.FrameWorkException`

### fileinit

    public java.lang.Boolean fileinit(org.jasig.portal.ChannelRuntimeData rd)
                               throws org.jasig.portal.PortalException,
                                      org.esupportail.portal.utils.channels.FrameWorkException

  Modification des informations d'un fichier

  Parameters:
    `rd` -
  Returns:
    Boolean.FALSE (pas d'affichage)
  Throws:
    `org.jasig.portal.PortalException`
    `org.esupportail.portal.utils.channels.FrameWorkException`

### linkinit

    public java.lang.Boolean linkinit(org.jasig.portal.ChannelRuntimeData rd)
                               throws org.jasig.portal.PortalException,
                                      org.esupportail.portal.utils.channels.FrameWorkException

  Modification d'un lien

  Parameters:
    `rd` -
  Returns:
    Boolean.FALSE (pas d'affichage)
  Throws:
    `org.jasig.portal.PortalException`
    `org.esupportail.portal.utils.channels.FrameWorkException`

### contentinit

    public java.lang.Boolean contentinit(org.jasig.portal.ChannelRuntimeData rd)
                                  throws org.jasig.portal.PortalException,
                                         org.esupportail.portal.utils.channels.FrameWorkException

  Modification du contenu d'un fichier

  Parameters:
    `rd` -
  Returns:
    Boolean.FALSE (pas d'affichage)
  Throws:
    `org.jasig.portal.PortalException`
    `org.esupportail.portal.utils.channels.FrameWorkException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD